Infoblox’s global team of threat hunters uncovers a DNS operation with the ability to bypass traditional security measures and control the Great Firewall of China. Read about “Muddling Meerkat” and the many other threat actors discovered by Infoblox Threat Intel here.

VMware

Reply

vRealize Automation/ vRealize Orchestrator 8.1 compatibility with Infoblox NIOS 8.5.1

New Member
Posts: 2
857     0

I have vRA 8.1/vRO 8.1 and Infoblox 8.5.1. Can you please help to confirm that are they compatibile ? and also let me know the compatible pulgin version and wapi version with vRA 8.1.

Re: vRealize Automation/ vRealize Orchestrator 8.1 compatibility with Infoblox NIOS 8.5.1

Superuser
Posts: 65
857     0

Hello @Gajendrapundier,

 

vRA and vRO 8.x versions are a major change from the 7.x versions. The Infoblox developed plugins are not compatible with 8.x versions. VMware has developed an Infoblox plugin for vRA 8.1, which you can find on the VMware Marketplace. Version 1.2 of their plugin is the latest that is complatible with vRA 8.1. On the Infoblox side, NIOS 8.5.1 is compatible, you just need a minimum WAPI verison of 2.7. You can find additional info on integrating this plugin with Infoblox in our Deployment Guide.

Re: vRealize Automation/ vRealize Orchestrator 8.1 compatibility with Infoblox NIOS 8.5.1

[ Edited ]
Authority
Posts: 14
857     0

Where are we at now with NIOS 8.6.x and vRA / Aria Automation and Orchestrator v 8.10+?

I have the IPAM integration plugin working within the Automation, but I don't see the workflows in Orchestrator that were available in v7.x. 

I was hoping to use allocate on my load balancer subnet to allocate next available IP for a new VIP to then add the newly created VMs as pool members. 

Also, in v7.x I was able to create an XaaS workflow for updating host aliases on a host record through Orchestrator.  I'd like to be able to migrate/replicate that in vRO/Aria Orchestrator 8.x.

Re: vRealize Automation/ vRealize Orchestrator 8.1 compatibility with Infoblox NIOS 8.5.1

Superuser
Posts: 65
857     0

The plugin for vRA/Aria 8.x is developed by VMware and has limited functionality. There is an Infoblox developed plugin for vRO 8.x that has similar functionality to the 7.x plugin, but does not work with vRA. https://docs.infoblox.com/space/ipamvmware8x/52048987/Introduction

Re: vRealize Automation/ vRealize Orchestrator 8.1 compatibility with Infoblox NIOS 8.5.1

Authority
Posts: 14
857     0

Ok, so the VMware developed plug-in integrates directly with Aria Automation for external IPAM integration connection.  Check.  But doesn't populate out any workflows in the internal/integrated Orchestrator.  Do you know if installing the Infoblox IPAM Plug-In for VMware with vRealize® Orchestrator into the internal/integrated orchestrator will cause any conflicts with the plugin installed into Aria Automation?

Next, I see from the documentation that 5.0 IPAM Plug-in Request IP Address replaced
allocate from v4.5, and Remove Host Record replaced "Release".  But I don't see an "Update"  workflow for updating Host Records.   Is there a recommended way for adding Update Host Records for XaaS?

Re: vRealize Automation/ vRealize Orchestrator 8.1 compatibility with Infoblox NIOS 8.5.1

Authority
Posts: 14
857     0

So can you confirm this does work with vRO 8.x?

Showing results for 
Search instead for 
Did you mean: 

Recommended for You